Bug 75043 - Running OpenOffice as a regular user fails.
Running OpenOffice as a regular user fails.
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2002-10-03 18:14 EDT by Alejandro Mota
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-10 18:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alejandro Mota 2002-10-03 18:14:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
I upgraded from RH 7.3 to 8.0 and selected to install the OpenOffice RPMs. When
I run OpenOffice as a regular user, nothing happens. If I type the command
ooffice from a terminal, the word Abort is printed and nothing else happens.

Doing an strace -f -v on /usr/lib/openoffice/programs/setup shows that the
program is looking for the file /usr/lib/openoffice/programs/uno_writer.rdb
which seems missing.

The program appears to run normally when run as root, however.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install OpenOffice package
2.Open terminal window
3.Type ooffice as a regular user

Actual Results:  Prints the word Abort on the terminal and does nothing else.

Expected Results:  Actual execution of OpenOffice

Additional info: My machine is an IBM ThinkPad A30p
Comment 1 Sammy 2002-10-04 09:13:40 EDT
For some reason openoffice took more than 2 minutes to start on my P4 system 
with 2GB of RAM as an regular user, at which point I had decided that it was  
not starting. BUT when I removed my .openoffice directory and started from 
scratch it started coming up immediately! Perhaps you can try that.
Comment 2 Alejandro Mota 2002-10-04 14:55:07 EDT
I tried rm -rf .openoffice and rm -rf .openoffice .sversionrc .user60.rdb. In
both cases when I run ooffice I get the splash screen, but then the work Abort
is printed on the terminal and nothing else happens.
Comment 3 Fidel A. Fernandez 2002-10-25 11:12:26 EDT
I have similar problem the difference is that I used the tar ball from
openoffice.org 1.0.1 not the redhat RPM.
It was working fine on 7.3. but with 8.0 does not start.  I filed a bug on
openoffice and they said it is a known issue.  They said Redhat changed
something that prevents OOo to start.
I got the messase "An unrecoverable error has occured.  All the files can be
recovered at OO restart <<ok>>"
Comment 4 Jakub Jelinek 2002-10-25 11:15:42 EDT
Then they are wrong. OpenOffice.org binaries don't work because their libdb*.so
library was miscompiled.
Comment 5 Alejandro Mota 2003-09-10 18:35:55 EDT
No longer relevant

Note You need to log in before you can comment on or make changes to this bug.